inv350mvmin40 = csvread('inv_-40C_layout_350mV_detail_transpose.csv',1,5);

figure(200);
histfit(inv350mvmin40(:,1));

%Logic gates, Delay:
figure(3001);
hist3([xor2350mvmin40(:,14), -40.*ones(220,1)], [round(sqrt(220)), 1],'FaceColor',[.73 .83 .96]); hold on;
hist3([xor2350mv25(:,14), 25.*ones(220,1)], [round(sqrt(220)), 1],'FaceColor',[.0 .5 .0]);
hist3([xor2350mv85(:,14), 85.*ones(220,1)], [round(sqrt(220)), 1],'FaceColor',[.85 .16 .0]);
xlabel('Delay [s]', 'FontSize', 14), ylabel('Temperature [^{\circ}C]', 'FontSize', 14), zlabel('Number of samples X', 'FontSize', 14)
title('Delay with V_{DD}=350mV', 'FontSize', 16);

%Logic gates VTC midpoint:
figure(3000);
hist3([xor2350mvmin40(:,1), -40.*ones(220,1)], [round(sqrt(220)), 1],'FaceColor',[.73 .83 .96]); hold on;
hist3([xor2350mv25(:,1), 25.*ones(220,1)], [round(sqrt(220)), 1],'FaceColor',[.0 .5 .0]);
hist3([xor2350mv85(:,1), 85.*ones(220,1)], [round(sqrt(220)), 1],'FaceColor',[.85 .16 .0]);
xlabel('Midpoint [%]', 'FontSize', 14), ylabel('Temperature [^{\circ}C]', 'FontSize', 14), zlabel('Number of samples X', 'FontSize', 14)
title('VTC midpoint with V_{DD}=350mV', 'FontSize', 16);

%VTC Midpoint mulg bare surr: 
figure(4000);
hist3([DFF350mvmin40(:,1), -40.*ones(size(DFF350mvmin40(:,1), 2),1)], [round(sqrt(220)), 1],'FaceColor',[.73 .83 .96]); hold on;
hist3([DFF350mv25(:,1), 25.*ones(size(DFF350mv25(:,1), 2),1)], [round(sqrt(220)), 1],'FaceColor',[.0 .5 .0]);
hist3([DFF350mv85(:,1), 85.*ones(size(DFF350mv85(:,1), 2),1)], [round(sqrt(220)), 1],'FaceColor',[.85 .16 .0]);
xlabel('Midpoint [%]', 'FontSize', 14), ylabel('Temperature [^{\circ}C]', 'FontSize', 14), zlabel('Number of samples X', 'FontSize', 14)
title('VTC midpoint with V_{DD}=350mV', 'FontSize', 16);

%Subplot HISTFIT D-FF tco:
figure(4000);
title('Clock-to-output delay with V_{DD}=350mV', 'FontSize', 16);
subplot(1, 2, 1),
hist3([DFF350mvmin40(:,1), -40.*ones(size(DFF350mvmin40, 1),1)], [round(sqrt(220)), 1],'FaceColor',[.73 .83 .96]); hold on;
hist3([DFF350mv25(:,1), 25.*ones(size(DFF350mv25, 1),1)], [round(sqrt(220)), 1],'FaceColor',[.0 .5 .0]);
hist3([DFF350mv85(:,1), 85.*ones(size(DFF350mv85, 1),1)], [round(sqrt(220)), 1],'FaceColor',[.85 .16 .0]);
xlabel('t_{co} [s]', 'FontSize', 14), ylabel('Temperature [^{\circ}C]', 'FontSize', 14), zlabel('Number of samples X', 'FontSize', 14)
subplot(1, 2, 2),
hist3([DFF350mvmin40(:,2), -40.*ones(size(DFF350mvmin40, 1),1)], [round(sqrt(220)), 1],'FaceColor',[.73 .83 .96]); hold on;
hist3([DFF350mv25(:,2), 25.*ones(size(DFF350mv25, 1),1)], [round(sqrt(220)), 1],'FaceColor',[.0 .5 .0]);
hist3([DFF350mv85(:,2), 85.*ones(size(DFF350mv85, 1),1)], [round(sqrt(220)), 1],'FaceColor',[.85 .16 .0]);
xlabel('t_{co} [s]', 'FontSize', 14), ylabel('Temperature [^{\circ}C]', 'FontSize', 14), zlabel('Number of samples X', 'FontSize', 14)

%Subplot HISTFIT D-FF tsu:
figure(4001);
title('Setup time with V_{DD}=350mV', 'FontSize', 16);
subplot(1, 2, 1),
hist3([DFF350mvmin40(:,4), -40.*ones(size(DFF350mvmin40, 1),1)], [round(sqrt(220)), 1],'FaceColor',[.73 .83 .96]); hold on;
hist3([DFF350mv25(:,1), 25.*ones(size(DFF350mv25, 1),1)], [round(sqrt(220)), 1],'FaceColor',[.0 .5 .0]);
hist3([DFF350mv85(:,1), 85.*ones(size(DFF350mv85, 1),1)], [round(sqrt(220)), 1],'FaceColor',[.85 .16 .0]);
xlabel('t_{su} [s]', 'FontSize', 14), ylabel('Temperature [^{\circ}C]', 'FontSize', 14), zlabel('Number of samples X', 'FontSize', 14)
subplot(1, 2, 2),
hist3([DFF350mvmin40(:,5), -40.*ones(size(DFF350mvmin40, 1),1)], [round(sqrt(220)), 1],'FaceColor',[.73 .83 .96]); hold on;
hist3([DFF350mv25(:,2), 25.*ones(size(DFF350mv25, 1),1)], [round(sqrt(220)), 1],'FaceColor',[.0 .5 .0]);
hist3([DFF350mv85(:,2), 85.*ones(size(DFF350mv85, 1),1)], [round(sqrt(220)), 1],'FaceColor',[.85 .16 .0]);
xlabel('t_{su} [s]', 'FontSize', 14), ylabel('Temperature [^{\circ}C]', 'FontSize', 14), zlabel('Number of samples X', 'FontSize', 14)