###########################################################################################
## Define what RTL language is used
set_attribute hdl_language vhdl
## Define the library search path
set_attribute lib_search_path /home/glenn_andre.johnsen/master_thesis/svn/digital/standalone/lib/import/RFO_SC_S8SCLIB_N001/lib/
## Define the specific library and/or characterized corner
set_attribute library {rfo_sc_s8sclib_n001-typ_1v20_t25+nldm.lib}

## Define the input HDL file(s)
#read_hdl ../VHDL/seq_det.vhd
read_hdl ALU.vhd
## Generates a technology independent schematic
elaborate
## Read a constraint file (Must be defined by user) Contain operating conditions such as clock waveforms, I/O timing, load, etc.
read_sdc ALU.sdc
## Generates a technology dependent (-to_mapped) or generic (-to_generic) schematic Effort levels: low, medium and high
synthesize -to_mapped -effort high
## Writes a technology dependent netlist
write -mapped > ./output/ALU/ALU_output.v
## Write a constraint file to the encounter folder for place and route constraints
write_sdc > ./output/ALU/ALU_output.sdc
## Write out area and timing reports
report area > ./output/ALU/ALU_area_report.rep
report timing > ./output/ALU/ALU_timing_report.rep
report power > ./output/ALU/ALU_power_report.rep
## Writes a script if one is preferred
#write_script > script
###########################################################################################

