###########################################################################################
# Set parameter units
set_units -time ps
set_units -capacitance fF

# Set clock conditions f=32KHz..#16.368MHz
create_clock -name {Clk} -period 31250000.0 -waveform {0.0 15625000} [get_ports {Clk}]
#create_clock -name {Clk} -period 610940.0 -waveform {0.0 305470} [get_ports {Clk}]

# Set load capacitance to output node(s)
set_load 50 [get_ports {R}]
#set_load 50 [get_ports {corr_flag}]

# Set max fanout 
set_max_fanout 5 [get_designs simple_alu]

# Set wireload model (Described in the library .lib file)-specify the effect of the interconnects on the timing and area
set_wire_load_model -name "area_0Kto1K"
###########################################################################################
